Skip to main content
GET
/
api
/
v1
/
cards
/
{card_id}
/
architecture
List Card Architecture
curl --request GET \
  --url https://api.example.com/api/v1/cards/{card_id}/architecture \
  --header 'Authorization: Bearer <token>'
[
  {
    "board_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "parent_id": "<string>",
    "parent_type": "ideation",
    "title": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "version": 123,
    "adapter_payload_refs": [
      "<string>"
    ],
    "breaking_change_flag": false,
    "diagrams_count": 0,
    "requires_arch_review": false,
    "source_ref": "<string>",
    "source_version": 123,
    "stale": false
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

card_id
string
required

Response

Successful Response

board_id
string
required
created_at
string<date-time>
required
id
string
required
parent_id
string
required
parent_type
enum<string>
required
Available options:
ideation,
refinement,
spec,
card
title
string
required
updated_at
string<date-time>
required
version
integer
required
adapter_payload_refs
string[]
breaking_change_flag
boolean
default:false
diagrams_count
integer
default:0
requires_arch_review
boolean
default:false
source_ref
string | null
source_version
integer | null
stale
boolean
default:false
Last modified on May 9, 2026